MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028773Community[OCCT] OCCT:Modeling Algorithmspublic2017-05-23 11:052017-09-29 16:25
Reportermat127 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028773: BRepAlgoAPI_Cut invalid result
DescriptionApplying cut to two valid shapes produces an invalid shape as a result.

Also tried to se:

bfuzzyvalue 1e-3

but with the same result
Steps To ReproduceDraw[26]> restore shp1.brep
shp1
Draw[27]> restore shp2.brep
shp2
Draw[28]> checkshape shp1
This shape seems to be valid
Draw[29]> bopcheck shp1
 This shape seems to be OK.

Draw[30]> checkshape shp2
This shape seems to be valid
Draw[31]> bopcheck shp2
 This shape seems to be OK.

Draw[32]> bopargcheck shp1 shp2 -C #F
Shape(s) seem(s) to be valid for BOP.

Draw[33]> bop shp1 shp2
Draw[34]> bopcut res
Draw[35]> checkshape res
Shape faulty_1 on shape faulty_2 :
BRepCheck_BadOrientationOfSubshape

Faulty shapes in variables faulty_1 to faulty_2
TagsNo tags attached.
Test case numberbugs modalg_6 bug28773
Attached Files? file icon shp1.brep (17,541 bytes) 2017-05-23 11:05
? file icon shp2.brep (219,172 bytes) 2017-05-23 11:06

- Relationships

-  Notes
(0066501)
msv (developer)
2017-05-24 11:12

This bug is not reproduced in the current master version.
(0066502)
msv (developer)
2017-05-24 11:13

Dear bugmaster, please create a test case for this bug and close it.
(0066945)
git (administrator)
2017-05-31 18:28

Branch CR28773 has been created by inv.

SHA-1: 8e18b33d9cd4c502f7e37eea003d26be6349d069


Detailed log of new commits:

Author: bugmaster
Date: Wed May 31 18:28:29 2017 +0300

    0028773: BRepAlgoAPI_Cut invalid result
    
    Adding test case only
(0066983)
git (administrator)
2017-06-02 10:45

Branch CR28773 has been deleted by inv.

SHA-1: 8e18b33d9cd4c502f7e37eea003d26be6349d069

- Related Changesets
occt: master 4f0ba168
Timestamp: 2017-05-31 15:28:29
Author: bugmaster
Details ] Diff ]
0028773: BRepAlgoAPI_Cut invalid result

Adding test case only
add - tests/bugs/modalg_6/bug28773 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-05-23 11:05 mat127 New Issue
2017-05-23 11:05 mat127 Assigned To => msv
2017-05-23 11:05 mat127 File Added: shp1.brep
2017-05-23 11:06 mat127 File Added: shp2.brep
2017-05-24 11:12 msv Note Added: 0066501
2017-05-24 11:13 msv Note Added: 0066502
2017-05-24 11:13 msv Assigned To msv => bugmaster
2017-05-24 11:13 msv Status new => feedback
2017-05-31 18:28 git Note Added: 0066945
2017-05-31 18:31 bugmaster Test case number => bugs modalg_6 bug28773
2017-05-31 18:33 bugmaster Status feedback => tested
2017-06-01 09:58 bugmaster Target Version => 7.2.0
2017-06-02 10:28 bugmaster Changeset attached => occt master 4f0ba168
2017-06-02 10:28 bugmaster Status tested => verified
2017-06-02 10:28 bugmaster Resolution open => fixed
2017-06-02 10:45 git Note Added: 0066983
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker